> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# starknet_getTransactionByHash | Starknet

> Starknet API method that returns a transaction by its hash. It provides the details of a specific transaction that is identified by its unique hash.

<Note>
  **Starknet OpenRPC spec**

  For the latest version of the publicly maintained OpenRPC spec, see the [Starknet specs GitHub repo](https://github.com/starkware-libs/starknet-specs).
</Note>

Starknet API method that returns a transaction by its hash.

It provides the details of a specific transaction that is identified by its unique hash. This is useful for clients or wallets to inspect the details of a transaction, such as its sender, receiver, amount, and status.

## Parameters

* `hash` — the string of the transaction hash.

## Response

* `transaction` — the details of the transaction, including its sender, receiver, amount, and status.

## Use case

A practical use case for `starknet_getTransactionByHash` is to retrieve the details of a specific transaction. For example, a wallet may use this method to display the details of a user's past transactions, or a client may use it to verify the status of a transaction.

## Deprecated feeder gateway method

The feeder gateway was deprecated on [December 11, 2023](https://community.starknet.io/t/feeder-gateway-deprecation/100233).

Example of the call you had to make to the feeder gateway before the deprecation:

```Text Shell theme={"system"}
curl 'https://alpha-mainnet.starknet.io/feeder_gateway/get_transaction_id_by_hash?transactionHash=0x295ee040949bd23a4bba5d5fa0d9d776c3b1fc7cafd511d025e689e665d05b2'
```


## OpenAPI

````yaml openapi/starknet_node_api/starknet_getTransactionByHash.json POST /365cf697a3ad6d950b4c4a911e2e4f4d
openapi: 3.0.0
info:
  title: starknet
  version: 1.0.0
  contact: {}
servers:
  - url: https://starknet-mainnet.core.chainstack.com
security: []
paths:
  /365cf697a3ad6d950b4c4a911e2e4f4d:
    post:
      summary: starknet_getTransactionByHash
      description: starknet_getTransactionByHash
      operationId: starknetGetTransactionByHash
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: starknet_getTransactionByHash
                params:
                  type: array
                  items:
                    type: string
                  default:
                    - >-
                      0x295ee040949bd23a4bba5d5fa0d9d776c3b1fc7cafd511d025e689e665d05b2
      responses:
        '200':
          description: Successful response

````